<?php
require_once('DataManager.Class.php');

class Modulo {
    
    public $conn;

    function __construct($c) {
        
        if(isset($c)){
                $this->conn = $c;
        } else {
                $this->conn = DataManager::getInstance();
        }
    }

	public function muestraModulosPerfil($perfilID, $nivel, $perfilID_precedente) {
        $stmt = $this->conn->prepare('{CALL agenda.SP_modulo_listarModulosPerfil(?, ?, ?)}');
        $stmt->execute(array($perfilID, $nivel, $perfilID_precedente));
        return $stmt->fetchAll();
    }
	
	
	

    function Close() {
        
        $this->conn = null;
        
    }
}
?>